﻿using Microsoft.Xna.Framework;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SplorrClient
{
    public class GameColors: StructTable<string, Color>
    {
        public GameColors()
        {
            this["black"] = new Color(0x20, 0x20, 0x20, 0xFF);
            this["carnelian"] = new Color(0x80, 0x20, 0x20, 0xFF);
            this["copper"] = new Color(0x80, 0x80, 0x20, 0xFF);
            this["gold"] = new Color(0x80, 0x80, 0x20, 0xFF);
            this["jade"] = new Color(0x20, 0x80, 0x20, 0xFF);
            this["turquoise"] = new Color(0x20, 0x80, 0x80, 0xFF);
            this["ruby"] = new Color(0x20, 0x20, 0x80, 0xFF);
            this["amethyst"] = new Color(0x80, 0x20, 0x80, 0xFF);
            this["silver"] = new Color(0x80, 0x80, 0x80, 0xFF);
            this["mediumcarnelian"] = new Color(0x68, 0x20, 0x20, 0xFF);
            this["mediumcopper"] = new Color(0x68, 0x68, 0x20, 0xFF);
            this["mediumgold"] = new Color(0x68, 0x68, 0x20, 0xFF);
            this["mediumjade"] = new Color(0x20, 0x68, 0x20, 0xFF);
            this["mediumturquoise"] = new Color(0x20, 0x68, 0x68, 0xFF);
            this["mediumruby"] = new Color(0x20, 0x20, 0x68, 0xFF);
            this["mediumamethyst"] = new Color(0x68, 0x20, 0x68, 0xFF);
            this["mediumsilver"] = new Color(0x68, 0x68, 0x68, 0xFF);
            this["darkcarnelian"] = new Color(0x50, 0x20, 0x20, 0xFF);
            this["darkcopper"] = new Color(0x50, 0x50, 0x20, 0xFF);
            this["darkgold"] = new Color(0x50, 0x50, 0x20, 0xFF);
            this["darkjade"] = new Color(0x20, 0x50, 0x20, 0xFF);
            this["darkturquoise"] = new Color(0x20, 0x50, 0x50, 0xFF);
            this["darkruby"] = new Color(0x20, 0x20, 0x50, 0xFF);
            this["darkamethyst"] = new Color(0x50, 0x20, 0x50, 0xFF);
            this["darksilver"] = new Color(0x50, 0x50, 0x50, 0xFF);
            this["transparent"] = new Color(0x00, 0x00, 0x00, 0x00);
            this["superlight"] = new Color(0xFF, 0xCC, 0x88, 0xFF);
            this["lightest"] = new Color(0xF0, 0xC0, 0x80, 0xFF);
            this["lighter"] = new Color(0xE1, 0xB4, 0x78, 0xFF);
            this["light"] = new Color(0xD2, 0xA8, 0x70, 0xFF);
            this["mediumlight"] = new Color(0xC3, 0x9C, 0x68, 0xFF);
            this["medium"] = new Color(0xB4, 0x90, 0x60, 0xFF);
            this["mediumdark"] = new Color(0xA5, 0x84, 0x58, 0xFF);
            this["dark"] = new Color(0x96, 0x78, 0x50, 0xFF);
            this["darker"] = new Color(0x87, 0x6C, 0x48, 0xFF);
            this["darkest"] = new Color(0x78, 0x60, 0x40, 0xFF);
            this["superdark"] = new Color(0x69, 0x54, 0x38, 0xFF);
        }
    }
}
